# List Transactions

This endpoint lists all transactions for a customer's pockets. It provides a comprehensive view of all financial activities.
It returns a paginated list of `Transaction` objects, which can be of various types (`ACH`, `WIRE`, `CARD`, etc.).
It does not include transactions between the bank account and brokerage account.

Endpoint: GET /api/v2/transactions/
Version: Version: d28453d9
Security: CodeBearer

## Query parameters:

  - `cursor` (string)

  - `limit` (integer)

  - `order` (string)

  - `pocket[]` (any)

  - `portal[]` (any)

  - `card[]` (any)

  - `type[]` (any)

  - `on_us_transfer[]` (any)

  - `wire[]` (any)

  - `time_booked_from` (any)

  - `time_booked_to` (any)

  - `amount_to` (any)

  - `amount_from` (any)

  - `direction` (any)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.id` (string, required)
    The ID of the transaction from the perspective of the respective pocket

  - `items.transaction_id` (string, required)
    The ID of the transaction this activity is representing

  - `items.description` (string, required)
    A description of the transaction type, e.g. "ACH Electronic Debit".

  - `items.amount` (object, required)

  - `items.amount.value` (integer, required)
    USD values are always in cents.

  - `items.amount.currency` (string, required)

  - `items.amount.formatted` (string)

  - `items.time_booked` (string, required)
    The time at which the transaction was originally booked into the ledger.

  - `items.time_settled` (any, required)
    The time at which transaction was settled.

  - `items.status` (string, required)
    Status of the transactions. Has the transactions been settled
    Enum: "BOOKED", "SETTLED"

  - `items.title` (string, required)

  - `items.direction` (string, required)
    Enum: "DEBIT", "CREDIT"

  - `items.pocket_id` (string, required)
    The pocket associated with the transaction

  - `items.customer_id` (string, required)
    The customer associated with the transaction

  - `items.remittance_information` (any)

  - `items.remittance_information.unstructured` (string)
    Unstructured information provided by the originator of the transaction.

  - `items.type` (string, required)

  - `items.company_name` (string, required)

  - `items.company_entry_description` (any)

  - `items.individual_identification_number` (any)

  - `items.trace_number` (any)

  - `items.ach_id` (any)

  - `items.ach_direction` (string, required)
    Enum: "RECEIVING", "ORIGINATION"

  - `items.portal_id` (any)

  - `items.reference_number` (string, required)

  - `items.counterparty_name` (string, required)

  - `items.wire_id` (any, required)

  - `items.location` (any)

  - `items.location.street_address` (string, required)

  - `items.location.city` (string, required)

  - `items.location.state` (any)

  - `items.location.country` (string, required)

  - `items.counterparty` (any)

  - `items.terminal_id` (any)

  - `items.merchant_type` (any)

  - `items.pre_authorization` (boolean, required)

  - `items.issue_id` (any)

  - `items.on_us_transfer_id` (string, required)

  - `items.on_us_transfer_type` (string, required)

  - `items.associated_pocket_id` (any)
    The id of the pocket on the other half of INTERNAL_REALLOCATION ON_US transfer.

  - `items.end_to_end_identification` (any)

  - `items.fee_type` (string, required)

  - `items.period` (any)
    Set if cash back for a certain card period.

  - `items.card_id` (any)
    The ID of the card related to the credit.

  - `items.reference_transaction_id` (any, required)
    For reverse postings, the identity of the transaction being reversed.

  - `items.blockchain_network` (string, required)

  - `items.counterparty_wallet_address` (string, required)

  - `items.transaction_hash` (any)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

